OPSWAT SDK V4 Support

GlobalProtect™ is now integrated with OPSWAT SDK V4 following the end-of-life announcement for OPSWAT SDK V3.
Software Support
: Starting with GlobalProtect™ app 4.1 and with PAN-OS® 8.1 and later releases.
OS Support
: Windows 7 and later releases and macOS 10.12 and later releases.
GlobalProtect is now integrated with OPSWAT SDK V4 to detect and assess the endpoint state and the third-party security applications running on the endpoint. OPSWAT is a security tool leveraged by the Host Information Profile (HIP) to collect information about the security status of the endpoints in the network, which is used for policy enforcement on the GlobalProtect gateway. This integration follows the end-of-life (EoL) announcement for OPSWAT SDK V3, which is the OPSWAT SDK version that GlobalProtect previously supported.
With this migration from OPSWAT SDK V3 to OPSWAT SDK V4, GlobalProtect introduces the following changes to the HIP Match log and HIP Object:
  • The
    Antivirus
    and
    Anti-Spyware
    categories merged to form the new
    Anti-Malware
    category.
  • Vendor and product names are based on OPSWAT SDK V4.
OPSWAT SDK is unable to detect the following
Anti-Malware
information for the Gatekeeper security feature on macOS endpoints:
  • Engine Version
  • Definition Version
  • Date
  • Last Scanned

Recommended For You